libnvme(2)

NAME
enum nvme_id_ctrl_nwpc - This field indicates the optional namespace write protection capabilities supported by the controller.

SYNOPSIS
enum nvme_id_ctrl_nwpc {
NVME_CTRL_NWPC_WRITE_PROTECT ,
NVME_CTRL_NWPC_WRITE_PROTECT_POWER_CYCLE ,
NVME_CTRL_NWPC_WRITE_PROTECT_PERMANENT

};

Constants

NVME_CTRL_NWPC_WRITE_PROTECT
    If set, then the controller shall support the No Write Protect and Write Protect namespace write protection states and may support the Write Protect Until Power Cycle state and Permanent Write Protect namespace write protection states.

NVME_CTRL_NWPC_WRITE_PROTECT_POWER_CYCLE
    If set, then the controller supports the Write Protect Until Power Cycle state.

NVME_CTRL_NWPC_WRITE_PROTECT_PERMANENT
    If set, then the controller supports the Permanent Write Protect state.